summaryrefslogtreecommitdiff
path: root/t/distcom3.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/distcom3.sh')
-rwxr-xr-xt/distcom3.sh57
1 files changed, 57 insertions, 0 deletions
diff --git a/t/distcom3.sh b/t/distcom3.sh
new file mode 100755
index 000000000..34ad7096e
--- /dev/null
+++ b/t/distcom3.sh
@@ -0,0 +1,57 @@
+#! /bin/sh
+# Copyright (C) 2001-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Test to make sure that non-existing common files are distributed
+# if they are buildable.
+
+. ./defs || Exit 1
+
+cat > Makefile.am << 'END'
+README:
+ echo 'I bet you are reading me.' > README
+END
+
+# Files required by '--gnu'.
+: > NEWS
+: > AUTHORS
+: > ChangeLog
+
+$ACLOCAL
+
+# Should not warn about missing README, since it is a target.
+$AUTOMAKE --add-missing --gnu >output 2>&1 || { cat output; Exit 1; }
+cat output
+grep README output && Exit 1
+
+sed -n -e '/^DIST_COMMON =.*\\$/ {
+ :loop
+ p
+ n
+ t clear
+ :clear
+ s/\\$/\\/
+ t loop
+ p
+ n
+ }' -e '/^DIST_COMMON =/ p' Makefile.in | grep README
+
+
+# Should warn about missing README.
+: > Makefile.am
+AUTOMAKE_fails --add-missing --gnu
+grep 'required file.*README.*not found' stderr
+
+: